Subject: Re: Locking user homes

From: [email-masked] (Geoff Terry Systems & Net supt 064 923677)
Date: Thu, 1 May 1997 13:00:58 +1000 (EST)

Greg,
Its a bit more than stated below.
You use guest group accounts which get chrooted to the home directory (any
path beyond the /./ is the directory they get defaulted too
eg user:x:210:100:::/usr/home/user/./public_html
will cause the user to get chrooted to /usr/home/user and deposited in the
public_html subdirectory.

You create a group lets say guests and in the ftpaccess file you define that
group as a guest group.

eg

class   guests  guest           *.some.domain #defines the members of guests
as having class attributes of the guest class (attributes the get assigned
to the class guest in ftpaccess)

guestgroup      guests                        #defines guests as a guest
group (so they get chrooted).

Geofft

>You can have wu execute a chroot if you put a period into the passwd path
>for the user.  Ex: user:x:210:100:::/usr/home/./  This makes /usr/home
>apear to be / .  However, for this to work you'll have to create a dev,
>etc, and bin dir... I could be mistaken, but I think that's what you'll
>need. In the dev you need tcp, zero, and udp; in the etc a group and
>passwd file (not the ones in /etc) and in bin you'll need ls.
>
>I don't quite remember all of it, but I think that'll get you close.
>
>Alan Halachmi
>Solaris Administrator/ Web Design
>Montgomery Bell Academy
>
>On Wed, 30 Apr 1997, Greg Shepherd wrote:
>
>> Is there a web location for config examples? I'm looking for a way to lock
>> all users into their own home directories when FTP'd in. Is this possible
>> with wu?
>> 
>> Greg
>> [email-masked]
>> 
>> 
>> 
>
>
>
Geoff Terry    Systems & Network Support
ACR Net        Sapphire Coast NSW 2550
Australia
Ph 064 923677  Mobile 015 668 227 Fax 064 924594